%define	modname		nvidiabl
%define git		1a18850
%define _version	v0.74-0
%define _gitauthor	guillaumezin

Name:		dkms-%{modname}
Version:	0.74
Release:	%mkrel 5
Summary:	DKMS-ready driver for nvidia display back-lights
License:	GPLv2+
Url:		https://github.com/guillaumezin/nvidiabl
Source0:	guillaumezin-%{modname}-%{_version}-g%{git}.tar.gz
Patch0:		%{modname}-dkmsconf.patch
Group:		System/Kernel and hardware
Requires(pre):	dkms
Requires(post): dkms
Buildarch:	noarch

%description
This package contains a DKMS-ready driver for nvidia laptop 
display back-lights.

This driver drives the smartdimmer register found on modern mobile
Nvidia graphics adapters such as NV40, NV41, NV43, NV44, NV46, NV47,
NV49, NV4B, C51, G84, G86, G92, G94, G96, GT200 architectures to adjust
the display backlight.

On Apple machines this driver allows more fine-grained brightness
adjustment than the mbp-nvidia-bl-dkms (mbp_nvidia_bl) driver and is
generally preferred.

%prep
%setup -q -c -n %{modname}-%{version}
mv %{_gitauthor}-%{modname}-%{git}/* .
rmdir %{_gitauthor}-%{modname}-%{git}
%patch0 -p1 -b .dkmsconf
chmod -R go=u-w .

%build

%install
mkdir -p %{buildroot}%{_usrsrc}/%{modname}-%{version}-%{release}
cp -a * %{buildroot}%{_usrsrc}/%{modname}-%{version}-%{release}
install dkms.conf %{buildroot}%{_usrsrc}/%{modname}-%{version}-%{release}/dkms.conf
sed -i -e 's|@MODNAME@|%{modname}|g' -e 's|@MODVERSION@|%{version}-%{release}|g' %{buildroot}%{_usrsrc}/%{modname}-%{version}-%{release}/dkms.conf

%post
/usr/sbin/dkms add -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade
/usr/sbin/dkms build -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade
/usr/sbin/dkms install -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade


%preun
/usr/sbin/dkms remove -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade --all

%files
%{_usrsrc}/%{modname}-%{version}-%{release}



%changelog
* Mon Feb 01 2016 umeabot <umeabot> 0.74-5.mga6
+ Revision: 930425
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.74-4.mga5
+ Revision: 744484
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.74-3.mga5
+ Revision: 678765
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.74-2.mga4
+ Revision: 502346
- Mageia 4 Mass Rebuild

* Sun Jun 03 2012 matteo <matteo> 0.74-1.mga3
+ Revision: 253817
- new version

* Wed Apr 25 2012 matteo <matteo> 0.73-1.mga3
+ Revision: 233279
- imported package dkms-nvidiabl

